##### basic_stream_socket::basic_stream_socket (1 of 10 overloads)

Construct a `basic_stream_socket` without opening it.

    basic_stream_socket(
        const executor_type & ex);

This constructor creates a stream socket without opening it. The socket needs to be opened and then connected or accepted before data can be sent or received on it.

###### Parameters

ex

  The I/O executor that the socket will use, by default, to dispatch handlers for any asynchronous operations performed on the socket.